# types.ProcedureAuthorizationStatus

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md) / ProcedureAuthorizationStatus

## Interface: ProcedureAuthorizationStatus

[types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md).ProcedureAuthorizationStatus

### Table of contents

#### Properties

* [accountFrozen](#accountfrozen)
* [agentPermissions](#agentpermissions)
* [noIdentity](#noidentity)
* [roles](#roles)
* [signerPermissions](#signerpermissions)

### Properties

#### accountFrozen

• **accountFrozen**: `boolean`

whether the Account is frozen (i.e. can't perform any transactions)

**Defined in**

[types/index.ts:1226](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L1226)

***

#### agentPermissions

• **agentPermissions**: [`CheckPermissionsResult`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.checkpermissionsresult.md)<[`Identity`](/polymesh-sdk-api-reference/docs-alpha/enums/types.signertype.md#identity)>

whether the Identity complies with all required Agent permissions

**Defined in**

[types/index.ts:1214](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L1214)

***

#### noIdentity

• **noIdentity**: `boolean`

true only if the Procedure requires an Identity but the signing Account doesn't have one associated

**Defined in**

[types/index.ts:1231](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L1231)

***

#### roles

• **roles**: [`CheckRolesResult`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.checkrolesresult.md)

whether the Identity complies with all required Roles

**Defined in**

[types/index.ts:1222](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L1222)

***

#### signerPermissions

• **signerPermissions**: [`CheckPermissionsResult`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.checkpermissionsresult.md)<[`Account`](/polymesh-sdk-api-reference/docs-alpha/enums/types.signertype.md#account)>

whether the Account complies with all required Signer permissions

**Defined in**

[types/index.ts:1218](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L1218)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/types.procedureauthorizationstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
